Subject: Re: IDEs (was: Please Help...)
From: [email-masked] (ShmooVe)

20 Feb 1998 00:22:40 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: "[email-masked]" <[email-masked]>
Cc: Aram Nahidipour <[email-masked]>,
        "[email-masked]" <[email-masked]>

"Zow" Terry Brugger wrote:

> Not specifically for GNU-Win32, available freely. In fact, this is where
> Cygnus (the ever so belivolient (sp?) creators of GNU-Win32) makes their
> money: they have an IDE for the system. It looks to be quite good, although
> I haven't had a chance to use it as we're rather locked into MS's
> environment here. You might be able to find a generic *nix solution to your
> problem; for instance at the moment I'm trying to convince XEmacs to
> compile for GNU-Win32 (if anyone has any experience with that, please let
> me know). If I get that working, I'll send out an announcement: that could
> be the kind of solution you're looking for.
>
>
> Ahh. . . the days. . .
>
>   I seemed to have went thought all
> the
> executible's and there seems to be no shell like RHIDE.  I thought gdb was
> the
> shell, seeing how it's 850k, but it seemed to be some other type of shell I
> don't understand.
>
> Correct. It's the debugger. Take the time to learn it. It's fairly
> primitive as debuggers go these days, but there are some good GUI
> front-ends to it (one I know is written in TCL/Tk, so it should work in
> GNU-Win32, no experience with it). Even with just the command line
> interface, it will cut your debugging time by an order of magnitude. It
> will eliminate those stupid cout's of all of your variables. I wish that I
> had spent more time learning it when I was at your stage.
>
>   It's just I don't know how to,
> let's say, write code in wordpad and then compile it with gcc without help
> files
> etc....
>
> Ouu. . . Wordpad. . . bad way to edit source. . . Try Emacs: There's a link
> to it from Cygnus's ported software page. There are also a ton of
> programmer's editors out there: dl some evals and test them out. They're
> worth the small outlay of cash (even for a starving college student). I
> hate to say it, but I like MS's Visual editor the best of all the Win32
> editors I've used. In fact, I used Visual J++ just for the editor (and
> compiled w/ Sun's JDK) until VisualAge for Java came out. You should be
> able to get VC++ at an academic price (which was like $99 when I got mine
> four years ago).
> You may also want to check the gcc infopage. This requires an info viewer.
> This might be in the NT Emacs port mentioned above. Barring that, you
> should be able to find the info on-line. I think gnu's site has their all
> their info trees on it.
>
>             Thanx for everyones help
>             Jimmy McMillan
>
> You're welcome,
> Terry

  Wow... thank terry.  I was looking around and was wondering about the Source
Navagator???  Is that possiblly what i'm looking for?  I off to get Emacs now.
Thanx Again.

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".